## python-django-split-settings 0.3.0

=== docs/requirements.txt ===
# This file is used to setup env
# to generate documentation.

Sphinx==1.6.5
sphinx-readable-theme==1.3.0
sphinxcontrib-napoleon==0.6.1

=== debian/changelog ===
python-django-split-settings (0.3.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload
  * Add gbp.conf
  * Add replace d/tests/pkg-python/import-name to replace import name of
    package (Closes: #946998)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 19 Dec 2019 13:16:43 -0300

python-django-split-settings (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #929349).

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 May 2019 08:52:00 +0200

=== debian/control ===
Source: python-django-split-settings
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/sobolevn/django-split-settings/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-split-settings
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-split-settings.git
Testsuite: autopkgtest-pkg-python

Package: python-django-split-settings-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Organize Django settings into multiple files and directories (Documentation)
 Organize Django settings into multiple files and directories. Easily override
 and modify settings. Use wildcards in settings file paths and mark settings
 files as optional.
 .
 This package contains the documentation.

Package: python3-django-split-settings
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-split-settings-doc,
Description: Organize Django settings into multiple files and directories (Python3 version)
 Organize Django settings into multiple files and directories. Easily override
 and modify settings. Use wildcards in settings file paths and mark settings
 files as optional.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-split-settings

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-split-settings-doc/usr/share/doc/python-django-split-settings-doc/html
	rm -f $(CURDIR)/debian/python-django-split-settings-doc/usr/share/doc/python-django-split-settings-doc/html/.nojekyll
	install -m 644 media/logo-black.png $(CURDIR)/debian/python-django-split-settings-doc/usr/share/doc/python-django-split-settings-doc/html/
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-split-settings-$1/ \
https://github.com/sobolevn/django-split-settings/releases \
/sobolevn/django-split-settings/archive/v?([\d\.]+)\.tar\.gz

## python-django-split-settings 1.1.0

=== docs/requirements.txt ===
# This file is used to setup env
# to generate documentation.

sphinx==3.2.1
sphinx_autodoc_typehints==1.11.1
recommonmark==0.6.0
m2r2==0.2.5
tomlkit==0.7.0
docutils==0.14

=== debian/changelog ===
python-django-split-settings (1.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-split-settings-doc: Add Multi-Arch: foreign.

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Drop all patches, issues were fixed by upstream.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Update year in d/copyright.
  * README.rst has been renamed to README.md.
  * Add pybuild-plugin-pyproject, python3-poetry and python3-pytest-cov
    to Build-Depends.
  * Add python3-sphinx-autodoc-typehints to Build-Depends, required by
    documentation.
  * Set Rules-Requires-Root: no.
  * Clean up test artifacts in PYBUILD_AFTER_TEST.
  * Remove unused clean-up commands for documentation.
  * Add patches to disable m2r2 integration and to remove remote badges.
  * Add d/upstream/metadata.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 03 Jan 2022 21:53:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: python-django-split-settings
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
+ python3-poetry,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-runner,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+ python3-sphinx-autodoc-typehints,
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/sobolevn/django-split-settings/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-split-settings
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-split-settings.git
-Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-split-settings
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-split-settings.git
+Rules-Requires-Root: no
 
 Package: python-django-split-settings-doc
 Section: doc
@@ -25,6 +29,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Organize Django settings into multiple files and directories (Documentation)
  Organize Django settings into multiple files and directories. Easily override
  and modify settings. Use wildcards in settings file paths and mark settings

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-split-settings
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/htmlcov {build_dir}/.coverage {build_dir}/coverage.xml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-split-settings-doc/usr/share/doc/python-django-split-settings-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-split-settings-$1/ \
https://github.com/sobolevn/django-split-settings/tags \
/sobolevn/django-split-settings/archive/refs/tags/v?([\d\.]+)\.tar\.gz

## python-django-split-settings 1.3.1

=== debian/changelog ===
python-django-split-settings (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Change Upstream URL: https://github.com/sobolevn/django-split-settings/
    -> https://github.com/wemake-services/django-split-settings/
  * New upstream version (Closes: #1073407)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patch
  * Add dependency on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 13:38:33 +0200

## python-django-split-settings 1.3.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = django_split_settings
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-django-split-settings (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Aug 2025 00:24:58 +0200

python-django-split-settings (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.2
  * d/p/0001-Disable-m2r2-extension-as-it-is-not-packaged-yet.patch:
    Add forwarded not-needed field
  * d/p/0002-Remove-remote-badges-to-prevent-privacy-issues.patch:
    Add forwarded not-needed field

 -- Douglas Alves dos Santos <douglasvestos@gmail.com>  Thu, 13 Feb 2025 10:37:21 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
@@ -17,8 +17,8 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-autodoc-typehints,
-Standards-Version: 4.6.0.1
-Homepage: https://github.com/sobolevn/django-split-settings/
+Standards-Version: 4.7.2
+Homepage: https://github.com/wemake-services/django-split-settings/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-split-settings
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-split-settings.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/htmlcov {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.]+.*)$/python-django-split-settings-$1/ \
https://github.com/wemake-services/django-split-settings/tags \
/wemake-services/django-split-settings/archive/refs/tags/v?([\d\.]+)\.tar\.gz
